import type { DeviceProps } from '@luma.gl/api';
export declare type GLContextOptions = DeviceProps & {
    throwOnError?: boolean;
    onContextLost?: (event: Event) => void;
    onContextRestored?: (event: Event) => void;
};
/** @deprecated Use `new WebGLDevice()` or `luma.createDevice()` */
export declare function createGLContext(options?: GLContextOptions): WebGLRenderingContext | null;
/** @deprecated Use `WebGLDevice.attach()` */
export declare function instrumentGLContext(gl: WebGLRenderingContext | WebGL2RenderingContext, options?: GLContextOptions): WebGLRenderingContext;
/**
 * Resize the canvas' drawing buffer.
 *
 * Can match the canvas CSS size, and optionally also consider devicePixelRatio
 * Can be called every frame
 *
 * Regardless of size, the drawing buffer will always be scaled to the viewport, but
 * for best visual results, usually set to either:
 *  canvas CSS width x canvas CSS height
 *  canvas CSS width * devicePixelRatio x canvas CSS height * devicePixelRatio
 * See http://webgl2fundamentals.org/webgl/lessons/webgl-resizing-the-canvas.html
 *
 * resizeGLContext(gl, {width, height, useDevicePixels})
 * @deprecated Use WebGLDevice.resize()
 */
export declare function resizeGLContext(gl: WebGLRenderingContext, options?: {
    width?: number;
    height?: number;
    useDevicePixels?: boolean | number;
}): void;
/**
 * Check one or more features
 * @deprecated Use `WebGLDevice.features.has()`
*/
export declare function hasFeatures(gl: WebGLRenderingContext, features: string | string[]): boolean;
/**
 * Check one feature
 * @deprecated Use `WebGLDevice.features`
 */
export declare function hasFeature(gl: WebGLRenderingContext, feature: string): boolean;
/**
 * Return a map of supported features
 * @deprecated Use `WebGLDevice.features`
 */
export declare function getFeatures(gl: WebGLRenderingContext): Record<string, boolean>;
/**
 * Provides strings identifying the GPU vendor and driver.
 * https://www.khronos.org/registry/webgl/extensions/WEBGL_debug_renderer_info/
 *
 * @deprecated Use `WebGLDevice.info`
 */
export declare function getContextDebugInfo(gl: WebGLRenderingContext): {
    vendor: string;
    renderer: string;
    vendorMasked: string;
    rendererMasked: string;
    version: string;
};
/** @deprecated Use `WebGLDevice.info` */
export declare function getGLContextInfo(gl: any): {
    37445: string;
    37446: string;
    7936: string;
    7937: string;
    7938: string;
};
/** @deprecated Use `WebGLDevice.info` and `WebGLDevice.limits` */
export declare function getContextInfo(gl: any): {
    info: {
        37445: string;
        37446: string;
        7936: string;
        7937: string;
        7938: string;
    };
    limits: import("@luma.gl/webgl").WebGLLimits;
    vendor: string;
    renderer: string;
    vendorMasked: string;
    rendererMasked: string;
    version: string;
};
/** @deprecated Use `WebGLDevice.limits` */
export declare function getContextLimits(gl: any): {
    limits: import("@luma.gl/webgl").WebGLLimits;
};
//# sourceMappingURL=context-api.d.ts.map