import type { AttributeBinding, VaryingBinding } from '@luma.gl/api';
import type Program from './program';
/**
 * is a mechanism for taking a program object and querying information
 * about it, so as to be able to interface and interact with it.
 * For example, if there is a uniform, you may need to query its
 * location so that you can set its value.
 *
 * @deprecated Use ShaderLayout
 */
export default class ProgramConfiguration {
    id: string;
    attributeInfos: AttributeBinding[];
    attributeInfosByName: Record<string, AttributeBinding>;
    attributeInfosByLocation: AttributeBinding[];
    varyingInfos: VaryingBinding[];
    varyingInfosByName: Record<string, VaryingBinding>;
    constructor(program: Program);
    getAttributeInfo(locationOrName: number | string): AttributeBinding;
    getAttributeLocation(locationOrName: number | string): number;
    getAttributeAccessor(locationOrName: number | string): import("@luma.gl/api").AccessorObject;
    getVaryingInfo(locationOrName: number | string): VaryingBinding;
    getVaryingIndex(locationOrName: number | string): number;
    getVaryingAccessor(locationOrName: number | string): import("@luma.gl/api").AccessorObject;
}
//# sourceMappingURL=program-configuration.d.ts.map