import { ResourceProps } from '@luma.gl/api';
import { WebGLResource } from '@luma.gl/webgl';
export declare type QueryProps = ResourceProps & {};
/**
 * Asynchronous queries for different kinds of information
 */
export default class Query extends WebGLResource<QueryProps> {
    get [Symbol.toStringTag](): string;
    static isSupported(gl: WebGLRenderingContext, options?: string[]): boolean;
    target: any;
    _queryPending: boolean;
    _pollingPromise: any;
    constructor(gl: WebGLRenderingContext, opts?: QueryProps);
    beginTimeElapsedQuery(): this;
    beginOcclusionQuery(options?: {
        conservative?: boolean;
    }): this;
    beginTransformFeedbackQuery(): this;
    begin(target: number): this;
    end(): this;
    isResultAvailable(): boolean;
    isTimerDisjoint(): boolean;
    getResult(): any;
    getTimerMilliseconds(): number;
    createPoll(limit?: number): Promise<any>;
    _createHandle(): WebGLQuery;
    _deleteHandle(): void;
}
//# sourceMappingURL=query.d.ts.map