import type { RenderbufferProps } from '@luma.gl/webgl';
import { WEBGLRenderbuffer } from '@luma.gl/webgl';
export type { RenderbufferProps };
/**
 * Renderbuffers are GPU objects that contain images.
 * In contrast to Textures they are optimized for use as render targets, with Framebuffers.
 * while Textures may not be, and are the logical choice when
 * you do not need to sample (i.e. in a post-pass shader)
 * from the produced image. If you need to resample
 * (such as when reading depth back in a second shader pass),
 * use Textures instead.
 * Renderbuffer objects also natively accommodate Multisampling (MSAA).
 *
 * @deprecated Use WEBGLRenderBuffer
 */
export default class Renderbuffer extends WEBGLRenderbuffer {
    static isSupported(gl: WebGLRenderingContext, options?: {
        format?: number;
    }): boolean;
    static getSamplesForFormat(gl: WebGL2RenderingContext, options: {
        format: number;
    }): number;
    constructor(gl: WebGLRenderingContext, props?: RenderbufferProps);
    /** Creates and initializes a renderbuffer object's data store */
    initialize(props: RenderbufferProps): this;
    _syncHandle(handle: any): void;
    _getParameter(pname: any): any;
}
//# sourceMappingURL=renderbuffer.d.ts.map