import { ShaderProps } from '@luma.gl/api';
import GL from '@luma.gl/constants';
import { WEBGLShader } from '@luma.gl/webgl';
export type { ShaderProps };
/**
 * Encapsulates the compiled or linked Shaders that execute portions of the WebGL Pipeline
 * This is an internal class, use FragmentShader or VertexShader
 *
 * @deprecated Use device.createShader
 */
export declare class Shader extends WEBGLShader {
    shaderType: GL.FRAGMENT_SHADER | GL.VERTEX_SHADER;
    source: string;
    static getTypeName(shaderType: any): 'vertex-shader' | 'fragment-shader' | 'unknown';
    constructor(gl: WebGLRenderingContext, props: Omit<ShaderProps, 'stage'>);
    initialize(props: ShaderProps): this;
    getParameter(pname: number): any;
    toString(): string;
    getName(): string;
    getSource(): string;
    /** Debug method - Returns translated source if available */
    getTranslatedSource(): string;
    _getOptsFromHandle(): {
        type: any;
        source: string;
    };
}
/**
 * Encapsulates the compiled or linked Shaders that execute portions of the WebGL Pipeline
 * @deprecated Use `device.createShader({stage: 'vertex', ...})`
 */
export declare class VertexShader extends Shader {
    constructor(gl: WebGLRenderingContext, props: Omit<ShaderProps, 'stage'> | string);
    _createHandle(): WebGLShader;
}
/**
 * Encapsulates the compiled or linked Shaders that execute portions of the WebGL Pipeline
 * @deprecated Use `device.createShader({stage: 'fragment', ...})`
 */
export declare class FragmentShader extends Shader {
    constructor(gl: WebGLRenderingContext, props: Omit<ShaderProps, 'stage'> | string);
    _createHandle(): WebGLShader;
}
//# sourceMappingURL=shader.d.ts.map