import { WebGLDevice } from '@luma.gl/webgl';
import { assertWebGL2Context } from '@luma.gl/webgl';
import Texture from './texture';
export default class Texture3D extends Texture {
  static isSupported(device) {
    try {
      const webglDevice = WebGLDevice.attach(device);
      return webglDevice.isWebGL2;
    } catch {
      return false;
    }
  }

  constructor(device, props = {}) {
    super(device, {
      depth: 1,
      ...props,
      dimension: '3d',
      unpackFlipY: false
    });
    assertWebGL2Context(this.gl2);
    Object.seal(this);
  }

}
//# sourceMappingURL=texture-3d.js.map