import { Device, TextureProps } from '@luma.gl/api';
import { WEBGLTexture } from '@luma.gl/webgl';
export type { TextureProps };
export declare type TextureSupportOptions = {
    format?: number;
    linearFiltering?: number;
};
/**
 * This is a legacy class that adds some deprecated methods to WebGLTexture and
 * serves as base class for the deprecated Texture2D, TextureCube and Texture3D classes
 * @deprecated Use device.createTexture()
 */
export default class ClassicTexture extends WEBGLTexture {
    /** @deprecated Use device.isTextureFormatSupported() and device.isTextureFormatFilterable() */
    static isSupported(device: Device | WebGLRenderingContext, options?: TextureSupportOptions): boolean;
    constructor(device: Device | WebGLRenderingContext, props: TextureProps);
    /**
     * Query a Resource parameter
     * @param name
     * @return param
     */
    getParameter(pname: number, props?: {}): any;
    getParameters(options?: {
        parameters?: any;
        keys?: any;
    }): {};
    _getParameter(pname: number, props?: any): any;
    /**
     * Update a Resource setting
     *
     * @todo - cache parameter to avoid issuing WebGL calls?
     *
     * @param {string} pname - parameter (GL constant, value or key)
     * @param {GLint|GLfloat|GLenum} value
     * @return {Resource} returns self to enable chaining
     */
    setParameter(pname: any, value: any): this;
    setParameters(parameters: any): this;
    /** Set one parameter */
    _setParameter(pname: number, param: number): this;
}
//# sourceMappingURL=texture.d.ts.map