import { ResourceProps } from '@luma.gl/api';
import GL from '@luma.gl/constants';
import { WebGLResource } from '@luma.gl/webgl';
export declare type TransformFeedbackProps = ResourceProps & {
    [key: string]: any;
};
export default class TransformFeedback extends WebGLResource<TransformFeedbackProps> {
    get [Symbol.toStringTag](): string;
    buffers: {};
    unused: {};
    configuration: any;
    bindOnUse: boolean;
    static isSupported(gl: WebGLRenderingContext): boolean;
    constructor(gl: WebGLRenderingContext, props?: TransformFeedbackProps);
    initialize(props?: TransformFeedbackProps): this;
    setProps(props: TransformFeedbackProps): void;
    setBuffers(buffers?: {}): this;
    setBuffer(locationOrName: any, bufferOrParams: any): this;
    begin(primitiveMode?: GL): this;
    end(): this;
    _getBufferParams(bufferOrParams: any): {
        buffer: any;
        byteOffset: any;
        byteSize: any;
    };
    _getVaryingInfo(locationOrName: any): any;
    _getVaryingIndex(locationOrName: any): any;
    _bindBuffers(): void;
    _unbindBuffers(): void;
    _bindBuffer(index: any, buffer: any, byteOffset?: number, byteSize?: any): this;
    _createHandle(): any;
    _deleteHandle(): void;
    _bindHandle(handle: any): void;
}
//# sourceMappingURL=transform-feedback.d.ts.map