declare type NumberUniformInfo = {
    type: 'number';
    value: number;
    min: number;
    max: number;
};
declare type BooleanUniformInfo = {
    type: 'boolean';
    value: boolean;
};
declare type ArrayUniformInfo = {
    type: 'array';
    value: Array<any>;
};
declare type ObjectUniformInfo = {
    type: 'object';
    value: Object;
};
declare type UniformInfo = NumberUniformInfo | BooleanUniformInfo | ArrayUniformInfo | ObjectUniformInfo;
/** Returns a Magic Uniform Setter */
export declare function getUniformSetter(gl: WebGLRenderingContext, location: number, info: UniformInfo): any;
export declare function parseUniformName(name: string): {
    name: string;
    isArray: boolean;
    length: number;
};
/**
 * Basic checks of uniform values (with or without knowledge of program)
 * To facilitate early detection of e.g. undefined values in JavaScript
 */
export declare function checkUniformValues(uniforms: object, source?: string, uniformMap?: object): boolean;
/**
 * Creates a copy of the uniform
 */
export declare function copyUniform(uniforms: object, key: string, value: any): void;
export {};
//# sourceMappingURL=uniforms.d.ts.map