import type { RenderPipelineParameters } from '@luma.gl/api';
import { Device } from '@luma.gl/api/';
import Program from '../classic/program';
declare type Module = 'string' | {
    name: string;
};
declare type GetProgramOptions = {
    vs?: string;
    fs?: string;
    defines?: {};
    inject?: {};
    varyings?: string[];
    bufferMode?: number;
    modules?: Module[];
    transpileToGLSL100?: boolean;
    parameters?: RenderPipelineParameters;
};
/** @deprecated Use new PipelineFactory in `@luma.gl/engine` */
export default class ProgramManager {
    readonly device: Device;
    stateHash: number;
    private _hashCounter;
    private readonly _hashes;
    private readonly _useCounts;
    private readonly _programCache;
    private readonly _getUniforms;
    private readonly _registeredModules;
    private readonly _hookFunctions;
    private _defaultModules;
    static getDefaultProgramManager(device: Device): ProgramManager;
    constructor(device: Device);
    addDefaultModule(module: Module): void;
    removeDefaultModule(module: Module): void;
    addShaderHook(hook: any, opts?: any): void;
    get(props?: GetProgramOptions): Program;
    getUniforms(program: Program): any;
    release(program: Program): void;
    _getHash(key: string): string;
    _getModuleList(appModules?: Module[]): Module[];
}
export {};
//# sourceMappingURL=program-manager.d.ts.map