import { assert } from '@luma.gl/api';
import GL from '@luma.gl/constants';
export function glFormatToComponents(format) {
  switch (format) {
    case GL.ALPHA:
    case GL.R32F:
    case GL.RED:
      return 1;

    case GL.RG32F:
    case GL.RG:
      return 2;

    case GL.RGB:
    case GL.RGB32F:
      return 3;

    case GL.RGBA:
    case GL.RGBA32F:
      return 4;

    default:
      assert(false);
      return 0;
  }
}
export function glTypeToBytes(type) {
  switch (type) {
    case GL.UNSIGNED_BYTE:
      return 1;

    case GL.UNSIGNED_SHORT_5_6_5:
    case GL.UNSIGNED_SHORT_4_4_4_4:
    case GL.UNSIGNED_SHORT_5_5_5_1:
      return 2;

    case GL.FLOAT:
      return 4;

    default:
      assert(false);
      return 0;
  }
}
//# sourceMappingURL=format-utils.js.map