import GL from '@luma.gl/constants';
declare type TypedArrayConstructor = Float32ArrayConstructor | Uint16ArrayConstructor | Uint32ArrayConstructor | Uint8ArrayConstructor | Uint8ClampedArrayConstructor | Int8ArrayConstructor | Int16ArrayConstructor | Int32ArrayConstructor;
/**
 * Converts TYPED ARRAYS to corresponding GL constant
 * Used to auto deduce gl parameter types
 * @param {*} arrayOrType
 * @returns
 */
export declare function getGLTypeFromTypedArray(arrayOrType: any): GL.BYTE | GL.UNSIGNED_BYTE | GL.SHORT | GL.UNSIGNED_SHORT | GL.INT | GL.UNSIGNED_INT | GL.FLOAT;
/**
 * Converts GL constant to corresponding TYPED ARRAY
 * Used to auto deduce gl parameter types
 * @param {*} glType
 * @param {*} param1
 * @returns
 */
export declare function getTypedArrayFromGLType(glType: any, options?: {
    clamped?: boolean;
}): TypedArrayConstructor;
/**
 * Flip rows (can be used on arrays returned from `Framebuffer.readPixels`)
 * https: *stackoverflow.com/questions/41969562/
 * how-can-i-flip-the-result-of-webglrenderingcontext-readpixels
 * @param {*} param0
 */
export declare function flipRows(options: {
    data: any;
    width: any;
    height: any;
    bytesPerPixel?: number;
    temp?: any;
}): void;
export declare function scalePixels(options: {
    data: any;
    width: any;
    height: any;
}): {
    data: Uint8Array;
    width: number;
    height: number;
};
export {};
//# sourceMappingURL=typed-array-utils.d.ts.map